Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 991209 - [abrt] audacious-3.4-1.fc19: g_hash_table_lookup: Process /usr/bin/audacious was killed by signal 11 (SIGSEGV)
Summary: [abrt] audacious-3.4-1.fc19: g_hash_table_lookup: Process /usr/bin/audacious ...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: audacious
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michael Schwendt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:9b57d188627f9f50f0c84a65be5...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-08-01 20:37 UTC by Mladen Gogala
Modified: 2014-01-20 11:54 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-20 11:54:10 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2013-08-01 20:37 UTC, Mladen Gogala
no flags Details
File: cgroup (deleted)
2013-08-01 20:37 UTC, Mladen Gogala
no flags Details
File: core_backtrace (deleted)
2013-08-01 20:37 UTC, Mladen Gogala
no flags Details
File: dso_list (deleted)
2013-08-01 20:37 UTC, Mladen Gogala
no flags Details
File: environ (deleted)
2013-08-01 20:37 UTC, Mladen Gogala
no flags Details
File: limits (deleted)
2013-08-01 20:37 UTC, Mladen Gogala
no flags Details
File: maps (deleted)
2013-08-01 20:37 UTC, Mladen Gogala
no flags Details
File: open_fds (deleted)
2013-08-01 20:37 UTC, Mladen Gogala
no flags Details
File: proc_pid_status (deleted)
2013-08-01 20:37 UTC, Mladen Gogala
no flags Details
File: var_log_messages (deleted)
2013-08-01 20:37 UTC, Mladen Gogala
no flags Details
File: xsession_errors (deleted)
2013-08-01 20:37 UTC, Mladen Gogala
no flags Details

Description Mladen Gogala 2013-08-01 20:37:19 UTC
Version-Release number of selected component:
audacious-3.4-1.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        audacious
crash_function: g_hash_table_lookup
executable:     /usr/bin/audacious
kernel:         3.10.3-300.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_hash_table_lookup at ghash.c:1070
 #1 handler_list_lookup at gsignal.c:422
 #5 gtk_widget_event_internal at gtkwidget.c:6717
 #6 synth_crossing at gtkwidget.c:11168
 #7 _gtk_widget_synthesize_crossing at gtkwidget.c:11342
 #8 synth_crossing_for_grab_notify at gtkmain.c:1908
 #9 gtk_grab_notify_foreach at gtkmain.c:1968
 #10 gtk_menu_shell_forall at gtkmenushell.c:1206
 #11 gtk_grab_notify_foreach at gtkmain.c:1943
 #12 gtk_box_forall at gtkbox.c:1865

Comment 1 Mladen Gogala 2013-08-01 20:37:27 UTC
Created attachment 781743 [details]
File: backtrace

Comment 2 Mladen Gogala 2013-08-01 20:37:30 UTC
Created attachment 781744 [details]
File: cgroup

Comment 3 Mladen Gogala 2013-08-01 20:37:33 UTC
Created attachment 781745 [details]
File: core_backtrace

Comment 4 Mladen Gogala 2013-08-01 20:37:36 UTC
Created attachment 781746 [details]
File: dso_list

Comment 5 Mladen Gogala 2013-08-01 20:37:39 UTC
Created attachment 781747 [details]
File: environ

Comment 6 Mladen Gogala 2013-08-01 20:37:42 UTC
Created attachment 781748 [details]
File: limits

Comment 7 Mladen Gogala 2013-08-01 20:37:44 UTC
Created attachment 781749 [details]
File: maps

Comment 8 Mladen Gogala 2013-08-01 20:37:50 UTC
Created attachment 781750 [details]
File: open_fds

Comment 9 Mladen Gogala 2013-08-01 20:37:53 UTC
Created attachment 781751 [details]
File: proc_pid_status

Comment 10 Mladen Gogala 2013-08-01 20:37:56 UTC
Created attachment 781752 [details]
File: var_log_messages

Comment 11 Mladen Gogala 2013-08-01 20:37:58 UTC
Created attachment 781753 [details]
File: xsession_errors

Comment 12 Michael Schwendt 2013-08-02 07:58:22 UTC
Please give some hint about your usage pattern, e.g. what you've done to make it crash and whether it crashes reproducibly.

The backtrace (more than 2000 steps) is entirely within GTK+3 space with no context about Audacious.

From your ~/.xsession-errors file, that's something you want to look into to get it fixed first:

(audacious:1515): Gtk-WARNING **: Theme parsing error: gtk.css:67:18: Not using units is deprecated. Assuming 'px'.
(audacious:1515): Gtk-WARNING **: Theme parsing error: gtk.css:67:20: Not using units is deprecated. Assuming 'px'.
(audacious:1611): Gtk-WARNING **: Theme parsing error: gtk.css:67:18: Not using units is deprecated. Assuming 'px'.
(audacious:1611): Gtk-WARNING **: Theme parsing error: gtk.css:67:20: Not using units is deprecated. Assuming 'px'.
(audacious:1627): Gtk-WARNING **: Theme parsing error: gtk.css:67:18: Not using units is deprecated. Assuming 'px'.
(audacious:1627): Gtk-WARNING **: Theme parsing error: gtk.css:67:20: Not using units is deprecated. Assuming 'px'.
(audacious:1782): Gtk-WARNING **: Theme parsing error: gtk.css:67:18: Not using units is deprecated. Assuming 'px'.
(audacious:1782): Gtk-WARNING **: Theme parsing error: gtk.css:67:20: Not using units is deprecated. Assuming 'px'.

0x00007fd340bdd9f0  0x00007fd340be3b08  Yes         /usr/lib64/gtk-3.0/3.0.0/theming-engines/libxfce.so

$ repoquery --whatprovides /usr/lib64/gtk-3.0/3.0.0/theming-engines/libxfce.so
gtk-xfce-engine-0:3.0.1-2.fc19.x86_64

Comment 13 Michael Schwendt 2014-01-20 11:54:10 UTC
We really need a bit of background in addition to backtraces, or else our hands
are tied. Upstream also would want to know how to reproduce a problem or
whether it is only a sporadic crash and a side-effect.


Note You need to log in before you can comment on or make changes to this bug.